package srv

import (
	"github.com/loveuer/nf"
	"github.com/loveuer/nfflow/internal/handler"
)

func initApp() *nf.App {
	engine := nf.New()

	app := engine.Group("/api")
	app.Get("/available", handler.Available)

	{
		api := app.Group("/new")

		inputApi := api.Group("/input")
		inputApi.Post("/es7", handler.NewInput_ES7)
	}

	return engine
}
