package main

import (
	"context"
	"github.com/loveuer/nfflow/internal/cmd"
	"os/signal"
	"syscall"
)

func main() {
	ctx, cancel := signal.NotifyContext(context.Background(), syscall.SIGHUP, syscall.SIGINT, syscall.SIGTERM, syscall.SIGQUIT)
	defer cancel()

	cmd.Run(ctx)
}
